package apple

import (
	"github.com/gin-gonic/gin"
	appleLogic "github.com/perfect-panel/server/internal/logic/public/iap/apple"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/internal/types"
	"github.com/perfect-panel/server/pkg/result"
)

func RestoreAppleTransactionsHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		var req types.RestoreAppleTransactionsRequest
		_ = c.ShouldBind(&req)
		if err := svcCtx.Validate(&req); err != nil {
			result.ParamErrorResult(c, err)
			return
		}
		l := appleLogic.NewRestoreLogic(c.Request.Context(), svcCtx)
		err := l.Restore(&req)
		result.HttpResult(c, map[string]bool{"success": err == nil}, err)
	}
}
